Bug 64464 - SVG image linear gradient is rendered rasterized
Summary: SVG image linear gradient is rendered rasterized
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import SVG-Open
  Show dependency treegraph
 
Reported: 2013-05-11 11:50 UTC by ilikebigbugs
Modified: 2021-04-01 03:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
image showing the behaviour (16.47 KB, image/png)
2013-05-11 11:50 UTC, ilikebigbugs
Details
example svg (10.63 KB, image/svg+xml)
2013-05-11 11:51 UTC, ilikebigbugs
Details
How it looks in Libreoffice 5.0.0.5 (24.98 KB, image/jpeg)
2015-08-26 10:47 UTC, Xisco Faulí
Details
SVG gradients in Draw 6.1 beta 2 + (8.48 KB, image/png)
2018-06-17 15:33 UTC, Roman Kuznetsov
Details
test with v 6.1.5.2 with breaking and regroup (31.19 KB, application/vnd.oasis.opendocument.graphics)
2019-04-01 15:24 UTC, paulystefan
Details
v 6.2.1.1 x64 win 10 x64 after breaking and regroup (31.32 KB, application/vnd.oasis.opendocument.graphics)
2019-04-01 15:30 UTC, paulystefan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ilikebigbugs 2013-05-11 11:50:51 UTC
Created attachment 79159 [details]
image showing the behaviour

XP, LO Version 4.0.4.0+

Insert->Picture->From File
linear gradient from top to bottom looks wired (rasterisedlike)
normally linear gradient seems to work but not in this drawing


some comments/testing on SVG import can be found here:
http://en.libreofficeforum.org/node/293
Comment 1 ilikebigbugs 2013-05-11 11:51:58 UTC
Created attachment 79161 [details]
example svg
Comment 2 Jorendc 2013-05-22 17:32:52 UTC
Thanks for reporting.

I can reproduce this behavior using Linux Mint 15 x64 with LibreOffice 4.0.3.3. Also using LibreOffice Version: 4.2.0.0.alpha0+
Build ID: 66c315bcf2b78c4928d1e436d1a853f58f4cccd

Kind regards,
Joren
Comment 3 QA Administrators 2015-03-04 02:24:23 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-24 17:31:21 UTC
Not looking stepped anymore, but the color stops are wrong.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: fi_FI
Comment 5 Xisco Faulí 2015-08-26 10:47:19 UTC
Created attachment 118196 [details]
How it looks in Libreoffice 5.0.0.5

Problem still present in

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 6 Heiko Tietze 2016-05-17 13:34:59 UTC
Wondering if this is a regression since LibO has no multistop gradients, and therefore the gradient goes from red to green instead of covering the whole rainbow. However, even more annoying is the simulation of a gradient by many small lines in different colors, as it might was realized before.
Comment 7 Heiko Tietze 2016-05-17 14:22:56 UTC
It depends on whether gradient_exmpl.svg is inserted or loaded. The first one results in a gradient, the second in a messy interpretation. Setting relevance to major since it's a real show stopper.
Comment 8 QA Administrators 2017-10-30 08:33:25 UTC Comment hidden (obsolete)
Comment 9 Roman Kuznetsov 2018-06-17 15:33:24 UTC
Created attachment 142825 [details]
SVG gradients in Draw 6.1 beta 2 +
Comment 10 Roman Kuznetsov 2018-06-17 15:34:20 UTC
(In reply to Xisco Faulí from comment #5)
> Created attachment 118196 [details]
> How it looks in Libreoffice 5.0.0.5
> 
> Problem still present in
> 
> Version: 5.0.0.5
> Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
> Locale: es-ES (es_ES)
> 
> on Windows 7 (64-bit)

confirm for

Version: 6.1.0.0.beta2+ (x64)
Build ID: fe1a23b5c49c94410a604c8d4a6f50f43d575403
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-1, Time: 2018-06-17_06:31:41
Locale: ru-RU (ru_RU); Calc: CL
Comment 11 paulystefan 2019-04-01 15:24:54 UTC
Created attachment 150458 [details]
test with v 6.1.5.2 with breaking and regroup

v 6.1..5.2 64bit win10-64

raster changes to horizontal

after breaking
Comment 12 paulystefan 2019-04-01 15:30:27 UTC
Created attachment 150459 [details]
v 6.2.1.1 x64 win 10 x64 after breaking and regroup

workaround in version 6.2.1.1 x64 in win 10 x64

after breaking no raster than regroup for usable opjects.

breaking is not a good workaround in complex svg
Comment 13 QA Administrators 2021-04-01 03:53:59 UTC
Dear ilikebigbugs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug